Subject: [AAA-WG]: E2E-Sequence AVP details in RFC3588

From: Jari Arkko <[email-masked]>
Date: Thu, 17 Jun 2004 09:50:25 +0300

Hi,

I have gotten questions about the use of the E2E-Sequence
AVP in Diameter base RFC.

It appears that the E2E-Sequence AVP is a relic from
the time that we still believed in CMS-based E2E
security in Diameter? I wish I remembered what the
discussions on this AVP were, but I don't...

Anyway, the questions are:

  (a) Is the use of the AVP still appropriate in some
      context?
  (b) If the type of the AVP is really grouped as the
      text says, then what AVPs carry the nonce and the
      counter?
  (c) If the type should really not have been grouped,
      is the type then octet string (with subformat)?
  (d) Should we create an errata entry for this AVP,
      maybe to suggest that it should not have appeared in
      the RFC at all?

--Jari